# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

let
  local = path: {
    _type = "static";
    inherit path;
  };
in

{
  lix = [
    (local ./lix/01-disable-installChecks.patch)
  ];

  "nixos-24.11" = [
    # nixos/nextcloud: Rename autocreate (a no-op) to verify_bucket_exists
    {
      id = "275165";
      hash = "sha256-9a26V3Pi8yLD3N9+mC1kvJoruxRTp/qOHapnt6VX7pw=";
    }

    # Crabfit: don't depend on all google-fonts
    (local ./nixpkgs/03-crabfit-karla.patch)

    # netbox qrcode plugin
    (local ./nixpkgs/06-netbox-qrcode.patch)
  ];

  "nixos-unstable" = [
    # Build netbird-relay
    (local ./nixpkgs/05-netbird-relay.patch)
  ];

  "agenix" = [
    {
      _type = "url";
      url = "https://github.com/ryantm/agenix/pull/292.patch";
      hash = "sha256-e45hiHF0HbCYb+3RRhy+8nNIFvefb6SZSN3xcl1mpvI=";
    }
  ];
}
